%define name	fceux
%define version 2.1.5
%define release %mkrel 1

Summary:	NES emulator
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Emulators
License:	GPLv2+
URL:		http://fceultra.sourceforge.net/
Source0:	http://fceultra.sourceforge.net/releases/%name-%version.src.tar.bz2
Patch0:		fceux-2.1.5-gcc46.patch
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	scons
BuildRequires:  lua5.1-devel
BuildRequires:  gtk2-devel
BuildRequires:  GL-devel
BuildRequires:  SDL-devel
Requires: zenity
Obsoletes: fceu

%description
FCEUX is a Nintendo Entertainment System (NES), Famicom, and Famicom
Disk System (FDS) emulator. It supports both PAL (European) and NTSC
(USA/JPN) modes. It supports both Windows and SDL versions for cross
compatibility.

%prep
%setup -q -c
%patch0 -p0

%build
cd fceu%{version}
%scons

%install
rm -rf %{buildroot}
install -m 755 -D fceu%{version}/bin/fceux %{buildroot}%{_bindir}/fceux
install -D fceu%{version}/documentation/fceux.6 %{buildroot}%{_mandir}/man6/fceux.6

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=FCEUX
GenericName=NES emulator
Comment=Play Nintendo Enternainment System games
Exec=%{_bindir}/%{name}
Icon=emulators_section
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Game;Emulator;
EOF


%files
%defattr(-,root,root)
%doc fceu%{version}/Authors.txt fceu%{version}/changelog.txt fceu%{version}/NewPPUtests.txt
%doc fceu%{version}/README-SDL fceu%{version}/TODO*
%doc fceu%{version}/documentation/
%{_bindir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/mandriva-%{name}.desktop

%clean
rm -rf %{buildroot}



%changelog
* Wed Jul 27 2011 Andrey Bondrov <abondrov@mandriva.org> 2.1.5-1
+ Revision: 691971
- Add patch to fix gcc 4.6 build issues
- imported package fceux


* Wed Jul 20 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 2.1.5-1mdv2011.0
- New version
- Import from PLF
- Remove PLF reference

* Thu May  6 2010 Gtz Waschk <goetz@zarb.org> 2.1.3-1plf2010.1
- replace fceu by fceux fork

* Wed Jul 16 2008 Gtz Waschk <goetz@zarb.org> 0.98.12-4plf2009.0
- update license
- patch for saving the state (bug #211)

* Thu Apr 12 2007 Gtz Waschk <goetz@zarb.org> 0.98.12-3plf2007.1
- rebuild

* Sun Nov 06 2005 Götz Waschk <goetz@zarb.org> 0:0.98.12-2plf
- Rebuild

* Wed Sep  1 2004 Guillaume Bedot <littletux@mandrakesoft.com> 0.98.12-1plf
- New release 0.98.12

* Fri May  7 2004 Gtz Waschk <goetz@plf.zarb.org> 0.98.9-1plf
- New release 0.98.9

* Mon Apr 26 2004 Guillaume Bedot <littletux@zarb.org> 0.98.8-1plf
- update to 0.98.8

* Mon Apr 19 2004 Gtz Waschk <goetz@plf.zarb.org> 0.98.6-1plf
- spec fixes
- new version

* Sat Sep 27 2003 David Walluck <david@anti-microsoft.org> 0:0.96-2plf
- fix Requires (but I think the SDL Provides are wrong)
- add Epoch
- add Distribution and Vendor

* Mon Sep 08 2003 David Walluck <david@anti-microsoft.org> 0.96-1plf
- 0.96
- add manpage
- make rpmlint happy about Requires and BuildRequires

* Thu May 15 2003 Gtz Waschk <goetz@plf.zarb.org> 0.94r3-1plf
- new version

* Thu Apr 10 2003 Gtz Waschk <goetz@plf.zarb.org> 0.94-1plf
- new version

* Fri Jan 24 2003 David Walluck <david@anti-microsoft.org> 0.81-4plf
- remove SDL patch from SRPM (I forget if it applies or not)

* Thu Jan 23 2003 David Walluck <david@anti-microsoft.org> 0.81-3plf
- update

* Sun Oct 06 2002 David Walluck <david@anti-microsoft.org> 0.81-2plf
- fix permissions on src archive: 0600 -> 0644

* Sun Oct 06 2002 David Walluck <david@anti-microsoft.org> 0.81-1plf
- 0.81

* Tue Aug 27 2002 David Walluck <david@anti-microsoft.org> 0.76-3plf
- new CVS snapshot
- binary name has changed from fce to fceu

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 0.76-2plf
- cleanup

* Mon Apr 22 2002 David Walluck <david@anti-microsoft.org> 0.76-1plf
- release
